Function
toCString
Access sequence as c-style string.
toCString(object)
Include Headers
seqan/sequence.h
Parameters

object | A string. Types: char array, String

Remarks
If the alphabet of object is char or wchar_t the return value is a c-style string representing the contents of object. Calling this function for non-contiguous containers will raise a compilation error. To create c-style strings for non-contiguous strings or strings with different alphabets, use a CStyle String as an intermediate.
Return Values
For strings that store their elements in a contiguous block (see IsContiguous) a pointer to first element of object is returned. The last element is followed by a default constructed element.
Member of
CStyle String, char array
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59